function ChangeVertexColors(OBJ, SAT, BRT){
	var color, f, p, n, vertexIndex;
	var vNames = [ 'a', 'b', 'c', 'd' ];
							
	for ( var i = 0; i < OBJ.geometry.faces.length; i ++ ) {

		f  = OBJ.geometry.faces[ i ];
		
		var n = ( f instanceof THREE.Face3 ) ? 3 : 4;

		for( var j = 0; j < n; j++ ) {
			
			vertexIndex = f[ vNames[ j ] ];
			p = OBJ.geometry.vertices[ vertexIndex ];

			color = new THREE.Color( 0xffffff );
			
			color.setHSL( Math.random(), SAT, BRT );

			f.vertexColors[ j ] = color;

		}

	}
	
	OBJ.geometry.colorsNeedUpdate = true;
}

function ShiftVertexColors(OBJ, SAT, BRT, MOD){
	var color, f, p, n, vertexIndex;
	var vNames = [ 'a', 'b', 'c', 'd' ];
							
	for ( var i = 0; i < OBJ.geometry.faces.length; i ++ ) {

		f  = OBJ.geometry.faces[ i ];
		
		var n = ( f instanceof THREE.Face3 ) ? 3 : 4;

		for( var j = 0; j < n; j++ ) {
			
			vertexIndex = f[ vNames[ j ] ];
			p = OBJ.geometry.vertices[ vertexIndex ];

			color = new THREE.Color( 0xffffff );
			
			color.setHSL( i*MOD, SAT, BRT );

			f.vertexColors[ j ] = color;

		}

	}
	
	OBJ.geometry.colorsNeedUpdate = true;
}